Core - Task # 34794

Epic # 61834 (Accepted): Create future proof Content Element with strong default
Task # 61836 (Accepted): Reorganize Content Element properties within backend Extension
Task # 61842 (New): Refactor CSS-Styled-Content + Content Elements

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: Content Rendering
Created: 2012-03-13 Assigned To:

Updated: 2015-01-05 Due date:

TYPOS3 Version: 4.7

PHP Version:

Complexity:

Sprint Focus:

Subject: CSS Styled Content should ship HTML5 by default

Description

add

# Set html5 rendering as default
config {

doctype = html5

xmlprologue = none

to CSS Styled Content Templates as of 4.7 (do not touch old ones!)

History

#1 - 2012-03-13 14:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.

It is available at http://review.typo3.org/9615

#2 - 2012-03-13 15:10 - Patrick Broens
Although this seems very progressive, HTMLS5 is still a Working Draft and not an official recommendation at W3C. Things might change, as they did

during my HTMLS5 implementation in css_styled_content, and break stuff (although not expected). | advise not to commit this at this point. Also WCAG
2.0 and WAI-ARIA 1.0 are used which are drafts as well.

#3 - 2013-07-03 15:26 - Alexander Opitz
- Status changed from Under Review to New
- Target version deleted (4.7.0-beta2)

Patch was abandoned
http://review.typo3.org/9615

#4 - 2014-09-24 12:35 - Felix Kopp
- Parent task set to #61842

#5 - 2014-12-19 12:42 - Riccardo De Contardi
Couldn't this be closed?

1. HTMLS5 is default since 6.0 AFAIK

2. HTML5 has become official recommendation at W3C since Nov.,2014

#6 - 2015-01-05 16:40 - Georg Ringer
- Status changed from New to Resolved

yes resolved
